Subject: Re: git branch performance problem?

From: Salikh Zakirov <[email-masked]>
Date: Sat, 13 Oct 2007 02:19:19 +0900

Han-Wen Nienhuys wrote:
> For cherrypicking convenience, I would still appreciate it if there
> was a mechanism similar to alternates that would allow me to view
> objects from an alternate repo; objects found through this mechanism
> should never be assumed to be present in the database, of course.

There exist a script contrib/workdir/git-new-workdir,
which creates a new working copy that literally shares the same object store.
It will share both object store and branches, so some care must be taken:
branch which checkout out in one shared working directory must never be updated
(committed or pulled into) from the other shared working directory.

Said that, I personally find this trick very useful for browsing alternate
branch code and quick bug fixing.